Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 151121 - Evolution invalidly uses underscore in HELO
Summary: Evolution invalidly uses underscore in HELO
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-03-15 01:26 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-09 19:01:49 UTC


Attachments (Terms of Use)
patch to validate HELO args and fall back to bare IP address if necessary (deleted)
2005-04-21 23:26 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2005-03-15 01:26:09 UTC
When sitting in the airport on a wireless connection which seems to work for
free, I unfortunately have an IP address where the reverse DNS is operated by
idiots and contains underscores: 61_219_103_66-WIFI_HOTSPOTS.eng.telusmobility.com

Two problems result from this.

Firstly, Evolution violates RFC2821 by using that name in the EHLO greeting when
sending mail, and is rightly told to sod off by my mail server:

sending : EHLO 61_219_103_66-WIFI_HOTSPOTS.eng.telusmobility.com
received: 250-pentafluge.infradead.org Hello
61_219_103_66-WIFI_HOTSPOTS.eng.telusmobility.com [66.103.219.61]
received: 250-SIZE 52428800
received: 250-8BITMIME
This server supports 8bit MIME
received: 250-ETRN
received: 250-EXPN
received: 250-STARTTLS
This server supports STARTTLS
received: 250 HELP
sending : STARTTLS
received: 220 TLS go ahead
sending : EHLO 61_219_103_66-WIFI_HOTSPOTS.eng.telusmobility.com
received: 250-pentafluge.infradead.org Hello
61_219_103_66-WIFI_HOTSPOTS.eng.telusmobility.com [66.103.219.61]
received: 250-SIZE 52428800
received: 250-8BITMIME
This server supports 8bit MIME
received: 250-ETRN
received: 250-EXPN
received: 250-AUTH LOGIN PLAIN CRAM-MD5
received: 250 HELP
<...>
received: 235 Authentication succeeded
sending : MAIL FROM:<dwmw2@infradead.org>
received: 250 OK
sending : RCPT TO:<Massimo.Gaetani@mvhi.com>
received: 550-Mail rejected. Underscores in HELO are not permitted by RFC2821.

The second problem is that Evolution misreports the error message, so I have to
either run with CAMEL_VERBOSE_DEBUG=1 or log in to the mail server and look at
the logs in order to see what _actually_ happened. Instead of reporting the
above error message, Evolution makes something up -- it says "Requested action
not taken: mailbox unavailable".

Comment 1 Dave Malcolm 2005-03-15 01:36:54 UTC
Please file this upstream: http://bugzilla.ximian.com

Comment 2 David Woodhouse 2005-03-15 02:10:36 UTC
Sorry, I cannot. Ximian bugzilla does not let me log in -- a login attempt
appears successful, but then an immediately subsequent attempt to _do_ anything
fails, and prompts me to log in again... ad infinitum. 

Comment 5 Dave Malcolm 2005-03-15 02:53:52 UTC
In response to the second part of the bug, it sounds like what you really what
is a "Show Details" button than shows the exact error from the server (aimed at
techies), and for the main error message to say something more user-friendly
(aimed at non-techies) - "Requested action not taken" isn't a great error message.  

However I'm not sure exactly what the wording should be here, and if enough
information is available to choose a good error message without major retooling,
alas.

Comment 7 David Woodhouse 2005-03-15 15:36:36 UTC
I don't think we should display a made-up error message by default, and display
the actual error only if the user presses a 'Details' button. 

Display nothing but "Sending mail failed", with a 'Details' button if you really
must -- but don't give a bogus error message.

Comment 8 Tomas Mraz 2005-04-21 17:23:22 UTC
Not that I like the Evo's made-up error message but the reason why it's so
misleading is because the server reports error only after the RCPT TO: not
immediately.


Comment 9 David Woodhouse 2005-04-21 23:26:49 UTC
Created attachment 113495 [details]
patch to validate HELO args and fall back to bare IP address if necessary

Comment 10 David Woodhouse 2005-08-06 10:12:56 UTC
Fixing summary. The misleading error message is filed separately as bug #165271.

Comment 11 Dave Malcolm 2006-01-05 22:31:07 UTC
Patch added to evolution-data-server-1.5.4-2


Note You need to log in before you can comment on or make changes to this bug.